Commit Diff


commit - 512f0d0efcba9d2e0925fd76670087a383c0bf6f
commit + 693719bce20f84e8ab48d17e3e58f2c0c35f51b9
blob - 165d22e3368567fec05ce1235f4e1db530ff3a11
blob + 15e1d040e7b1d7cbb7108933351d7caa2c122fc0
--- regress/cmdline/checkout.sh
+++ regress/cmdline/checkout.sh
@@ -46,10 +46,11 @@ function test_checkout_basic {
 	    $testroot/wt/gamma/delta > $testroot/content
 
 	cmp $testroot/content.expected $testroot/content
-	if [ "$?" != "0" ]; then
+	ret="$?"
+	if [ "$ret" != "0" ]; then
 		diff -u $testroot/content.expected $testroot/content
 	fi
-	test_done "$testroot" "$?"
+	test_done "$testroot" "$ret"
 }
 
 run_test test_checkout_basic
blob - 644f3de5670a7abe8e3549b13c5675ce0a506b2d
blob + 67fd42633b02f58a3db6754e107a8896d4eb1974
--- regress/cmdline/update.sh
+++ regress/cmdline/update.sh
@@ -50,10 +50,11 @@ function test_update_basic {
 	    $testroot/wt/gamma/delta > $testroot/content
 
 	cmp $testroot/content.expected $testroot/content
-	if [ "$?" != "0" ]; then
+	ret="$?"
+	if [ "$ret" != "0" ]; then
 		diff -u $testroot/content.expected $testroot/content
 	fi
-	test_done "$testroot" "$?"
+	test_done "$testroot" "$ret"
 }
 
 function test_update_adds_file {
@@ -92,10 +93,11 @@ function test_update_adds_file {
 	    $testroot/wt/gamma/delta $testroot/wt/gamma/new > $testroot/content
 
 	cmp $testroot/content.expected $testroot/content
-	if [ "$?" != "0" ]; then
+	ret="$?"
+	if [ "$ret" != "0" ]; then
 		diff -u $testroot/content.expected $testroot/content
 	fi
-	test_done "$testroot" "$?"
+	test_done "$testroot" "$ret"
 }
 
 function test_update_deletes_file {
@@ -136,10 +138,11 @@ function test_update_deletes_file {
 	    $testroot/wt/gamma/delta > $testroot/content
 
 	cmp $testroot/content.expected $testroot/content
-	if [ "$?" != "0" ]; then
+	ret="$?"
+	if [ "$ret" != "0" ]; then
 		diff -u $testroot/content.expected $testroot/content
 	fi
-	test_done "$testroot" "$?"
+	test_done "$testroot" "$ret"
 }
 
 run_test test_update_basic